Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst.csv.normalize
Class AnalystNormalizeCSV

    java.lang.Object
      org.encog.app.analyst.csv.basic.BasicFile
          org.encog.app.analyst.csv.normalize.AnalystNormalizeCSV

All Implemented Interfaces:
  QuantTask

    public class AnalystNormalizeCSV

extends BasicFile

Normalize, or denormalize, a CSV file.

Field Summary

Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile
`REPORT_INTERVAL`

Constructor Summary
`AnalystNormalizeCSV()`

Method Summary
`void` | `analyze(File inputFilename, boolean expectInputHeaders, CSVFormat inputFormat, EncogAnalyst theAnalyst)` Analyze the file.
`static double[]` | `extractFields(EncogAnalyst analyst, CSVHeaders headers, ReadCSV csv, int outputLength, boolean skipOutput)` Extract fields from a file into a numeric array for machine learning.
`void` | `normalize(File file)` Normalize the input file.
`void` | `setSourceFile(File file, boolean headers, CSVFormat format)` Set the source file.

Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile
`appendSeparator, getColumnCount, getInputFilename, getInputFormat, getInputHeadings, getOutputFormat, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, prepareOutputFile, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setOutputFormat, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AnalystNormalizeCSV

    public AnalystNormalizeCSV()

Method Detail

### extractFields

    public static final double[] extractFields(EncogAnalyst analyst,
                                               CSVHeaders headers,
                                               ReadCSV csv,
                                               int outputLength,
                                               boolean skipOutput)

  Extract fields from a file into a numeric array for machine learning.

  Parameters:
    `analyst` - The analyst to use.
    `headers` - The headers for the input data.
    `csv` - The CSV that holds the input data.
    `outputLength` - The length of the returned array.
    `skipOutput` - True if the output should be skipped.
  Returns:
    The encoded data.

### analyze

    public final void analyze(File inputFilename,
                              boolean expectInputHeaders,
                              CSVFormat inputFormat,
                              EncogAnalyst theAnalyst)

  Analyze the file.

  Parameters:
    `inputFilename` - The input file.
    `expectInputHeaders` - True, if input headers are present.
    `inputFormat` - The format.
    `theAnalyst` - The analyst to use.

### normalize

    public final void normalize(File file)

  Normalize the input file. Write to the specified file.

  Parameters:
    `file` - The file to write to.

### setSourceFile

    public final void setSourceFile(File file,
                                    boolean headers,
                                    CSVFormat format)

  Set the source file. This is useful if you want to use pre-existing stats to normalize something and skip the analyze step.

  Parameters:
    `file` - The file to use.
    `headers` - True, if headers are to be expected.
    `format` - The format of the CSV file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.